<?php

namespace Litecms\Blog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BlogTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Blog\Models\Blog $blog)
    {
        return [
            'id'                => $blog->getRouteKey(),
            'key'               => [
                'public'    => $blog->getPublicKey(),
                'route'     => $blog->getRouteKey(),
            ], 
            'id'                => $blog->id,
            'title'             => $blog->title,
            'description'       => $blog->description,
            'images'            => $blog->images,
            'slug'              => $blog->slug,
            'published'         => $blog->published,
            'status'            => $blog->status,
            'user_type'         => $blog->user_type,
            'user_id'           => $blog->user_id,
            'upload_folder'     => $blog->upload_folder,
            'deleted_at'        => $blog->deleted_at,
            'created_at'        => $blog->created_at,
            'updated_at'        => $blog->updated_at,
            'url'               => [
                'public'    => trans_url('blog/'.$blog->getPublicKey()),
                'user'      => guard_url('blog/blog/'.$blog->getRouteKey()),
            ], 
            'status'            => trans('app.'.$blog->status),
            'created_at'        => format_date($blog->created_at),
            'updated_at'        => format_date($blog->updated_at),
        ];
    }
}